Page MenuHomePhabricator

Improvements to Wikimedia SUL login dialog UI: Avoid HTML entities, spell "MediaWiki" account type with upper case
Closed, DeclinedPublic

Description

Some improvements to the Wikimedia SUL dialog:

  • "MediaWiki" User
  • "Qgil-WMF" (as suggested in T541 as well)

Proposing this pre-Day, since it is part of the "out of the box experience", where it is worth to pay attention to these details. Unless it is really complicated to change MediaWiki for Wikimedia.

  • Event Timeline

    Qgil created this task.Oct 3 2014, 7:00 PM
    Qgil updated the task description. (Show Details)
    Qgil raised the priority of this task from to Needs Triage.
    Qgil added a project: Bugzilla-Migration.
    Qgil changed Security from none to None.
    Qgil updated the task description. (Show Details)
    Qgil added a subscriber: Qgil.
    mmodell added a subscriber: mmodell.Oct 3 2014, 8:03 PM

    It's not entirely trivial to change

    Qgil added a comment.Oct 4 2014, 9:31 AM

    I guess the same restrictions as in T543 apply here, so no "Wikimedia". Good.

    Can the format of the link be improved as suggested above?

    Also, would it be possible to display

    "MediaWiki" User

    instead of the current lower case?

    Qgil updated the task description. (Show Details)Oct 4 2014, 9:32 AM
    Qgil updated the task description. (Show Details)
    Aklapper triaged this task as Low priority.Oct 6 2014, 11:17 AM
    Aklapper added a subscriber: Aklapper.
    Aklapper renamed this task from Improvements to Wikimedia SUL login to Improvements to Wikimedia SUL login dialog UI.Jan 20 2015, 11:29 PM
    Aklapper lowered the priority of this task from Low to Lowest.
    Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 25 2015, 1:01 AM
    Aklapper closed this task as Declined.Aug 1 2018, 8:49 AM
    In T542#8253, @Qgil wrote:

    Can the format of the link be improved as suggested above?

    https://phabricator.wikimedia.org/settings/panel/external/ now displays a colon instead of the HTML entity, plus spaces in the user name are displayed as + instead of an HTML entity. Fixed, I'd say. The dialog presented above does not exist anymore when registering via OAuth.

    In T542#8253, @Qgil wrote:

    Also, would it be possible to display

    "MediaWiki" User

    instead of the current lower case?

    In T542#8208, @mmodell wrote:

    It's not entirely trivial to change

    Hence declining.

    Aklapper renamed this task from Improvements to Wikimedia SUL login dialog UI to Improvements to Wikimedia SUL login dialog UI: Avoid HTML entities, spell "MediaWiki" account type with upper case.Aug 1 2018, 8:50 AM